Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001277Frama-CKernelpublic2012-09-20 12:012014-02-12 16:58
ReporterAnne 
Assigned Tosignoles 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Oxygen-20120901 
Target VersionFixed in VersionFrama-C Fluorine-20130401 
Summary0001277: Datatype.triple is missing
DescriptionI used to have :
    Dynamic.register ... (Datatype.func Cil_datatype.Stmt.ty XXX.ty)
with
    module XXX = Datatype.Triple (Datatype.List (Datatype.String))
                                 (Datatype.List (Datatype.String))
                                 (Datatype.List (Datatype.String))

but I guess that was wrong since in the new Oxygen version, it produces :
    "Invalid_argument(\"Descr.of_structural: inconsistent descriptor\")"
when I load my plug-in.

so now I am using :
let ty = Datatype.triple
             (Datatype.list Datatype.string)
             (Datatype.list Datatype.string)
             (Datatype.list Datatype.string)
instead of XXX.ty, and it is working, but I had to patch Datatype since it didn't define 'triple'. Could it be added in a next version, or is there another way of doing it ?

Thanks.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003476)
signoles (manager)
2012-09-20 16:01

Workaround :
module A = Datatype.List(Datatype.String)
module XXX = Datatype.Triple(A)(A)(A)

Anyway this workaround is more efficient than your original code.
(0003477)
signoles (manager)
2012-09-20 16:03

As you suggested, Datatype.triple and Datatype.quadruple is also added to the Frama-C API by the same commit.
(0004615)
signoles (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-09-20 12:01 Anne New Issue
2012-09-20 13:09 signoles Status new => assigned
2012-09-20 13:09 signoles Assigned To => signoles
2012-09-20 15:59 svn Checkin
2012-09-20 15:59 svn Status assigned => resolved
2012-09-20 15:59 svn Resolution open => fixed
2012-09-20 16:01 signoles Note Added: 0003476
2012-09-20 16:03 signoles Note Added: 0003477
2013-04-19 11:05 signoles Fixed in Version => Frama-C Fluorine
2013-04-19 11:05 signoles Status resolved => closed
2014-02-12 16:58 signoles Note Added: 0004615
2014-02-12 16:58 signoles Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker